include <params.scad>
use <white_stone.scad>

module bstone() {
    difference() {
        wstone();
        rotate([90, 0, 0]) linear_extrude(center=true, height=$stone_radius*2) {
            polygon([
                [-$stone_radius/7, 0],
                [$stone_radius/7, 0],
                [0, $stone_height*1.5/5]
            ]);
            polygon([
                [-$stone_radius*4/7, 0],
                [-$stone_radius*2/7, 0],
                [-$stone_radius*3/7, $stone_height*1.5/5]
            ]);
            polygon([
                [$stone_radius*4/7, 0],
                [$stone_radius*2/7, 0],
                [$stone_radius*3/7, $stone_height*1.5/5]
            ]);
        }
        rotate([90, 0, 90]) linear_extrude(center=true, height=$stone_radius*2) {
            polygon([
                [-$stone_radius/7, $stone_height],
                [$stone_radius/7, $stone_height],
                [0, $stone_height*3.5/5]
            ]);
            polygon([
                [-$stone_radius*4/7, $stone_height],
                [-$stone_radius*2/7, $stone_height],
                [-$stone_radius*3/7, $stone_height*3.5/5]
            ]);
            polygon([
                [$stone_radius*4/7, $stone_height],
                [$stone_radius*2/7, $stone_height],
                [$stone_radius*3/7, $stone_height*3.5/5]
            ]);
        }
    }
}

bstone();
